#ifndef LANGBUILDER_LOCALIZATIONDATA_HPP
#define LANGBUILDER_LOCALIZATIONDATA_HPP

#include <filesystem>
#include <fstream>
#include <iostream>
#include <string>
#include <unordered_map>
#include "LocalizationFile.hpp"

class LocalizationData {
    std::string _code;
    std::string _display;
    std::string _globalPath;
    std::string _tempPath;

    std::unordered_map<std::string, LocalizationFile> _globalFiles;
    std::unordered_map<std::string, LocalizationFile> _tempFiles;

public:
    void LoadFromPath(const std::filesystem::path& path);

    void WriteToFile(const std::filesystem::path& path);

    const std::string& GetCode() const noexcept { return _code; }

    const std::string& GetDisplay() const noexcept { return _display; }
};

#endif // LANGBUILDER_LOCALIZATIONDATA_HPP
